<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Billow
 */

get_header();
?>

<section class="error-404 nothing">

	<div class="first-section">
		<div class="error-content">
			<h2 class="title"><?php esc_html_e( 'Oops, This Page Could Not Be Found!', 'billow' ); ?></h2>
			<p><?php esc_html_e( 'We can&rsquo;t seem to find the page you&rsquo;re looking for.', 'billow' ); ?></p>
		</div>

		<div class="search-content">
			<?php get_search_form(); ?>
			<a href="<?php echo esc_url( home_url() ); ?>" class="backhome"><?php esc_html_e( 'Back To Home Page', 'billow' ); ?></a></li>
		</div><!-- .search-content -->
	</div>

	<div class="second-section">
	<img class="image" srcset="<?php echo esc_url( get_template_directory_uri() . '/assets/images/nothing.jpg' ) ?> 1x, <?php echo esc_url( get_template_directory_uri() . '/assets/images/nothing.jpg' ) ?> 2x" src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/nothing.jpg' ) ?>" alt="">
	</div>

</section><!-- .error-404 -->

<?php
get_footer();
