<?php

$wp_customize->add_panel( 'billow_blog', array(
	'priority'       => 50,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __( 'Blog', 'billow' ),
) );

//-- BLOG ENTRIES
$wp_customize->add_section( 'billow_blog_posts' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Blog Entries', 'billow'),
	'panel'          => 'billow_blog',
) );

//-- billow_posts_title_align
$wp_customize->add_setting( 'billow_posts_title_align', array(
	'default'           => 'title-center',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Text_Radio_Button_Custom_Control( $wp_customize, 'billow_posts_title_align', array(
	'label'   => __( 'Title Alignment', 'billow' ),
	'section' => 'billow_blog_posts',
	'choices' => array(
		'title-left'   => __( 'Left', 'billow' ),
		'title-center' => __( 'Center', 'billow' ),
		'title-right'  => __( 'Right', 'billow' )
	) )
) );

//-- billow_posts_bc_align
$wp_customize->add_setting( 'billow_posts_bc_align', array(
	'default'           => 'bc-center',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Text_Radio_Button_Custom_Control( $wp_customize, 'billow_posts_bc_align', array(
	'label'   => __( 'Background Alignment', 'billow' ),
	'section' => 'billow_blog_posts',
	'choices' => array(
		'bc-left'   => __( 'Left', 'billow' ),
		'bc-center' => __( 'Center', 'billow' ),
		'bc-right'  => __( 'Right', 'billow' )
	) )
) );

//-- billow_posts_structure
$wp_customize->add_setting( 'billow_posts_structure', array(
	'default'              => 'classic',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'refresh',
) );

$wp_customize->add_control( 'billow_posts_structure', array(
	'label'   => __( 'Entries Structure', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'	  => 'select',
	'choices' => array(
		'classic'   => __( 'Classic', 'billow' ),
		'simple'    => __( 'Simple', 'billow' ),
		'grid'      => __( 'Grid', 'billow' ),
		'gutenberg' => __( 'Gutenberg', 'billow' )
) ) );

//-- billow_posts_elements_visibility
$wp_customize->add_control( 'billow_posts_elements_visibility', array(
	'label'	   => __( 'Elements Visibility', 'billow' ),
	'section'  => 'billow_blog_posts',
	'settings' => array(),
	'type'     => 'hidden'
) );

//-- billow_post_image_visibility
$wp_customize->add_setting(  'billow_post_image_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'refresh',
) );

$wp_customize->add_control( 'billow_post_image_visibility', array(
	'label'   => __( 'Featured Image', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_title_visibility
$wp_customize->add_setting(  'billow_post_title_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_title_visibility', array(
	'label'   => __( 'Title', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_date_visibility
$wp_customize->add_setting(  'billow_post_date_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_date_visibility', array(
	'label'   => __( 'Date', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_author_visibility
$wp_customize->add_setting(  'billow_post_author_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_author_visibility', array(
	'label'   => __( 'Author', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_tags_visibility
$wp_customize->add_setting(  'billow_post_tags_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_category_visibility', array(
	'label'   => __( 'Tags', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_category_visibility
$wp_customize->add_setting(  'billow_post_category_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_category_visibility', array(
	'label'   => __( 'Category', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_excerpt_visibility
$wp_customize->add_setting(  'billow_post_excerpt_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_excerpt_visibility', array(
	'label'   => __( 'Excerpt', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- billow_post_readmore_visibility
$wp_customize->add_setting(  'billow_post_readmore_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_readmore_visibility', array(
	'label'   => __( 'Read More', 'billow' ),
	'section' => 'billow_blog_posts',
	'type'    => 'checkbox',
) );

//-- SINGLE POSTS
$wp_customize->add_section( 'billow_single_posts' , array(
	'priority'       => 20,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Single Posts', 'billow'),
	'panel'          => 'billow_blog',
) );

//-- billow_single_post_site_padding_subtitle
$wp_customize->add_control( 'billow_single_post_site_padding_subtitle', array(
	'label'		  => __( 'Content Area Spacing for Single Post', 'billow' ),
	'description' => __( 'Controls the padding for the single post. Enter value including valid css unit, ex: 48px or 3rem.', 'billow' ),
	'section'  	  => 'billow_single_posts',
	'settings' 	  => array(),
	'type' 		  => 'hidden'
) );

//-- billow_single_content_padding_top
$wp_customize->add_setting( 'billow_single_content_padding_top', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_single_content_padding_top', array(
	'label'   => __( 'Top', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'text'
) ) );

//-- billow_single_content_padding_bottom
$wp_customize->add_setting( 'billow_single_content_padding_bottom', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_single_content_padding_bottom', array(
	'label'   => __( 'Bottom', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'text'
) ) );

//--'billow_single_post_title_color
$wp_customize->add_setting( 'billow_single_post_title_color', array(
	'default'              => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_single_post_title_color', array(
	'label'   => __( 'Title Color', 'billow' ),
	'section' => 'billow_single_posts',
) ) );

//-- billow_single_post_title_font
billow_customizer_add_typography( $wp_customize, 'billow_single_post_title_font', 'billow_single_posts', array(
	'billow_single_post_title_font' => __( 'Title Font Family', 'billow'),
) );

//-- billow_single_post_meta_color
$wp_customize->add_setting( 'billow_single_post_meta_color', array(
	'default'              => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_single_post_meta_color', array(
	'label'   => __( 'Meta Color', 'billow' ),
	'section' => 'billow_single_posts',
) ) );

//-- billow_single_post_meta_font
billow_customizer_add_typography( $wp_customize, 'billow_single_post_meta_font', 'billow_single_posts', array(
	'billow_single_post_meta_font' => __( 'Meta Font Family', 'billow'),
) );

//-- ICONS billow_single_post_date_icon_color
$wp_customize->add_setting( 'billow_single_post_date_icon_color', array(
	'default'              => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_single_post_date_icon_color', array(
	'label'   => __( 'Date Icon Color', 'billow' ),
	'section' => 'billow_single_posts',
) ) );

//-- billow_single_post_tag_icon_color
$wp_customize->add_setting( 'billow_single_post_tag_icon_color', array(
	'default'              => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_single_post_tag_icon_color', array(
	'label'   => __( 'Tag Icon Color', 'billow' ),
	'section' => 'billow_single_posts',
) ) );

//-- billow_single_post_category_icon_color
$wp_customize->add_setting( 'billow_single_post_category_icon_color', array(
	'default'              => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_single_post_category_icon_color', array(
	'label'   => __( 'Category Icon Color', 'billow' ),
	'section' => 'billow_single_posts',
) ) );

//-- billow_single_post_date_icon_size
$wp_customize->add_setting( 'billow_single_post_date_icon_size', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( 'billow_single_post_date_icon_size', array(
	'label'       => __( 'Date Icon Font Size', 'billow' ),
	'section'     => 'billow_single_posts',
	'type'        => 'text',
) );

//-- billow_single_post_tag_icon_size
$wp_customize->add_setting( 'billow_single_post_tag_icon_size', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( 'billow_single_post_tag_icon_size', array(
	'label'       => __( 'Tag Icon Font Size', 'billow' ),
	'section'     => 'billow_single_posts',
	'type'        => 'text',
) );

//-- billow_single_post_category_icon_size
$wp_customize->add_setting( 'billow_single_post_category_icon_size', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( 'billow_single_post_category_icon_size', array(
	'label'       => __( 'Category Icon Font Size', 'billow' ),
	'section'     => 'billow_single_posts',
	'type'        => 'text',
) );

//-- ELEMENTS billow_single_post_elements_visibility
$wp_customize->add_control( 'billow_single_post_elements_visibility', array(
	'label'	   => __( 'Elements Visibility', 'billow' ),
	'section'  => 'billow_single_posts',
	'settings' => array(),
	'type'     => 'hidden'
) );

//-- billow_single_post_title_visibility
$wp_customize->add_setting(  'billow_single_post_title_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_title_visibility', array(
	'label'   => __( 'Title', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );

//-- billow_single_post_date_visibility
$wp_customize->add_setting(  'billow_single_post_date_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_date_visibility', array(
	'label'   => __( 'Date', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );

//-- billow_single_post_tags_visibility
$wp_customize->add_setting(  'billow_single_post_tags_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_tags_visibility', array(
	'label'   => __( 'Tags', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );

//-- billow_single_post_category_visibility
$wp_customize->add_setting(  'billow_single_post_category_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_category_visibility', array(
	'label'   => __( 'Category', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );

//-- billow_single_post_author_box_visibility
$wp_customize->add_setting(  'billow_single_post_author_box_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_author_box_visibility', array(
	'label'   => __( 'Author Box', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );

//-- billow_single_post_comments_visibility
$wp_customize->add_setting(  'billow_single_post_comments_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_single_post_comments_visibility', array(
	'label'   => __( 'Comments', 'billow' ),
	'section' => 'billow_single_posts',
	'type'    => 'checkbox',
) );
