<?php

$wp_customize->add_panel( 'billow_header', array(
	'priority'       => 20,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __( 'Header', 'billow' ),
) );

//-- HEADER LAYOUT
$wp_customize->add_section( 'billow_header_layout' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Header Layout', 'billow'),
	'panel'          => 'billow_header',
) );

//-- billow_header_layout_align
$wp_customize->add_setting( 'billow_header_layout_align', array(
	'default'           => 'header-right',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Text_Radio_Button_Custom_Control( $wp_customize, 'billow_header_layout_align', array(
	'label'   => __( 'Layout', 'billow' ),
	'section' => 'billow_header_layout',
	'choices' => array(
		'header-left'   => __( 'Left', 'billow' ),
		'header-center' => __( 'Center', 'billow' ),
		'header-right'  => __( 'Right', 'billow' )
	) )
) );

//-- billow_header_border_bottom
billow_customizer_add_border( $wp_customize, 'billow_header_border_bottom', 'billow_header_layout', array(
	'billow_header_border_bottom'       => __( 'Border Bottom', 'billow'),
	'billow_header_border_bottom_style' => __( 'Border Bottom Style', 'billow'),
	'billow_header_border_bottom_color' => __( 'Border Bottom Color', 'billow'),
) );

//-- billow_header_bar_margin_top
$wp_customize->add_setting( 'billow_header_bar_margin_top', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_header_bar_margin_top', array(
	'label'       => __( 'Top Margin', 'billow' ),
	'section'     => 'billow_header_layout',
	'type'        => 'text'
) ) );

//-- billow_header_bar_margin_bottom
$wp_customize->add_setting( 'billow_header_bar_margin_bottom', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_header_bar_margin_bottom', array(
	'label'       => __( 'Bottom Margin', 'billow' ),
	'section'     => 'billow_header_layout',
	'type'        => 'text'
) ) );

//-- billow_header_bar_padding_top
$wp_customize->add_setting( 'billow_header_bar_padding_top', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_header_bar_padding_top', array(
	'label'       => __( 'Top Padding', 'billow' ),
	'section'     => 'billow_header_layout',
	'type'        => 'text'
) ) );

//-- billow_header_bar_padding_bottom
$wp_customize->add_setting( 'billow_header_bar_padding_bottom', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_header_bar_padding_bottom', array(
	'label'       => __( 'Bottom Padding', 'billow' ),
	'section'     => 'billow_header_layout',
	'type'        => 'text'
) ) );

//-- SITE IDENTITY
$wp_customize->get_section( 'title_tagline' )->panel = 'billow_header';

$wp_customize->get_control( 'header_textcolor' )->label   = __( 'Font Color', 'billow' );
$wp_customize->get_control( 'header_textcolor' )->section = 'title_tagline';
$wp_customize->get_setting( 'header_textcolor' )->default = '';

billow_customizer_add_typography( $wp_customize, 'site_title_font', 'title_tagline', array(
	'site_title_font' => __( 'Site Title Font Family', 'billow'),
) );

billow_customizer_add_typography( $wp_customize, 'title_tagline_font', 'title_tagline', array(
	'title_tagline_font' => __( 'Tagline Font Family', 'billow'),
) );

//-- HEADER BACKGROUND
$wp_customize->get_section( 'header_image' )->panel = 'billow_header';
$wp_customize->get_section( 'header_image' )->title = __( 'Header Background', 'billow' );

//-- billow_header_bc_color
$wp_customize->add_setting( 'billow_header_bc_color', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_alpha',
	'sanitize_js_callback' => 'billow_sanitize_js_alpha',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customize_Alpha_Color_Control( $wp_customize, 'billow_header_bc_color', array(
	'label'   => __( 'Background Color', 'billow' ),
	'section' => 'header_image',
) ) );

//-- MENU
$wp_customize->add_section( 'billow_menu' , array(
	'priority'       => 50,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Menu', 'billow'),
	'panel'          => 'billow_header',
) );

//-- billow_sticky_menu
$wp_customize->add_setting( 'billow_sticky_menu', array(
	'default'           => 1,
	'transport'         => 'refresh',
	'sanitize_callback' => 'billow_switch_sanitization'
) );

$wp_customize->add_control( new Billow_Toggle_Switch_Custom_control( $wp_customize, 'billow_sticky_menu', array(
	'label'   => __( 'Sticky Menu', 'billow' ),
	'section' => 'billow_menu'
) ) );


//-- billow_menu_padding_subtitle
$wp_customize->add_control( 'billow_menu_padding_subtitle', array(
	'label'			=> __( 'Menu Height', 'billow' ),
	'description'	=> __( 'Controls the height for the menu.  Enter value including valid css unit, ex: 10px or 0.6rem.', 'billow' ),
	'section'  		=> 'billow_menu',
	'settings' 		=> array(),
	'type' 			=> 'hidden'
) );

//-- billow_menu_height
$wp_customize->add_setting( 'billow_menu_height', array(
	'default'              => '',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_menu_height', array(
	'label'       => __( 'Height', 'billow' ),
	'section'     => 'billow_menu',
	'type'        => 'text'
) ) );

//-- billow_menu_item_padding_subtitle
$wp_customize->add_control( 'billow_menu_item_padding_subtitle', array(
	'label'			=> __( 'Menu Item Padding', 'billow' ),
	'description'	=> __( 'Controls the padding for the menu item.  Enter value including valid css unit, ex: 10px or 0.6rem.', 'billow' ),
	'section'  		=> 'billow_menu',
	'settings' 		=> array(),
	'type' 			=> 'hidden'
) );

//-- billow_menu_item_padding
$wp_customize->add_setting( 'billow_menu_item_padding', array(
	'default'              => '10px',
	'sanitize_callback'    => 'billow_sanitize_css_unit',
	'sanitize_js_callback' => 'billow_sanitize_js_css_unit',
	'transport'            => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customizer_CSS_Number_With_Units_Control( $wp_customize, 'billow_menu_item_padding', array(
	'label'       => __( 'Left and Right', 'billow' ),
	'section'     => 'billow_menu',
	'type'        => 'text'
) ) );

//--'billow_menu_link_color
$wp_customize->add_setting( 'billow_menu_link_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_link_color', array(
	'label'   => __( 'Link Color', 'billow' ),
	'section' => 'billow_menu',
) ) );

//--'billow_menu_hover_link_color
$wp_customize->add_setting( 'billow_menu_hover_link_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_hover_link_color', array(
	'label'   => __( 'Hover Link Color', 'billow' ),
	'section' => 'billow_menu',
) ) );

//--'billow_menu_dropdown_link_color
$wp_customize->add_setting( 'billow_menu_dropdown_link_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_dropdown_link_color', array(
	'label'   => __( 'Dropdown Link Color', 'billow' ),
	'section' => 'billow_menu',
) ) );

//--'billow_menu_dropdown_hover_link_color
$wp_customize->add_setting( 'billow_menu_dropdown_hover_link_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_dropdown_hover_link_color', array(
	'label'   => __( 'Dropdown Hover Link Color', 'billow' ),
	'section' => 'billow_menu',
) ) );

//-- billow_menu_dropdown_hover_link_bc_color
$wp_customize->add_setting( 'billow_menu_dropdown_hover_link_bc_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_dropdown_hover_link_bc_color', array(
	'label'   => __( 'Dropdown Hover Link Background', 'billow' ),
	'section' => 'billow_menu',
) ) );

//-- billow_menu_dropdown_bc_color
$wp_customize->add_setting( 'billow_menu_dropdown_bc_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_dropdown_bc_color', array(
	'label'   => __( 'Dropdown Background', 'billow' ),
	'section' => 'billow_menu',
) ) );

//-- billow_menu_indicator
$wp_customize->add_setting( 'billow_menu_indicator', array(
	'capability'        => 'edit_theme_options',
	'default'           => 'menu-indicator-type-1',
	'sanitize_callback' => 'billow_sanitize_css_unit',
) );

$wp_customize->add_control( 'billow_menu_indicator', array(
	'type' 		  => 'select',
	'section' 	  => 'billow_menu', // Add a default or your own section
	'label' 	  => __( 'Menu Indicator', 'billow' ),
	'description' => __( 'Specify a default theme style', 'billow' ),
	'choices' 	  => apply_filters( 'billow_menu_indicator_choices', array(
		'menu-indicator-type-0' => __( 'None', 'billow' ),
		'menu-indicator-type-1' => __( 'Type 1', 'billow' ),
		'menu-indicator-type-2' => __( 'Type 2', 'billow' ),
		'menu-indicator-type-3' => __( 'Type 3', 'billow' ),
	)),
) );

//-- billow_menu_indicator_color
$wp_customize->add_setting( 'billow_menu_indicator_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_menu_indicator_color', array(
	'label'   => __( 'Menu Indicator Color', 'billow' ),
	'section' => 'billow_menu',
) ) );
