<?php

//-- POST NAVIGATION
$wp_customize->add_section( 'billow_post_nav' , array(
	'priority'       => 30,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Post Navigation', 'billow'),
	'panel'          => 'billow_blog',
) );

//-- billow_post_nav_font
billow_customizer_add_typography( $wp_customize, 'billow_post_nav_font', 'billow_post_nav', array(
	'billow_post_nav_font' => __( 'Font Family', 'billow'),
) );

//-- billow_post_nav_color
$wp_customize->add_setting( 'billow_post_nav_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_post_nav_color', array(
	'label'   => __( 'Font Color', 'billow' ),
	'section' => 'billow_post_nav',
) ) );

//-- billow_post_nav_hover_color
$wp_customize->add_setting( 'billow_post_nav_hover_color', array(
	'default'              => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_post_nav_hover_color', array(
	'label'   => __( 'Hover Font Color', 'billow' ),
	'section' => 'billow_post_nav',
) ) );

//-- billow_post_nav_bc
$wp_customize->add_setting( 'billow_post_nav_bc', array(
	'default'              => 'rgba(247, 247, 247, 1)',
	'sanitize_callback'    => 'billow_sanitize_alpha',
	'sanitize_js_callback' => 'billow_sanitize_js_alpha',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new Billow_Customize_Alpha_Color_Control( $wp_customize, 'billow_post_nav_bc', array(
	'label'        => __( 'Background Color', 'billow' ),
	'show_opacity' => true,
	'section'      => 'billow_post_nav',
) ) );

//-- padding
billow_customizer_add_padding( $wp_customize, 'billow_post_nav_padding', 'billow_post_nav' );

//-- ELEMENTS billow_post_nav_visibility
$wp_customize->add_control( 'billow_post_nav_visibility', array(
	'label'	   => __( 'Elements Visibility', 'billow' ),
	'section'  => 'billow_post_nav',
	'settings' => array(),
	'type'     => 'hidden'
) );

//-- billow_post_navigation_visibility
$wp_customize->add_setting(  'billow_post_navigation_visibility', array(
	'default'           => 1,
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( 'billow_post_navigation_visibility', array(
	'label'   => __( 'Post Navigation', 'billow' ),
	'section' => 'billow_post_nav',
	'type'    => 'checkbox',
) );
