<?php

$wp_customize->add_panel( 'billow_sidebar', array(
	'priority'       => 70,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __( 'Sidebar', 'billow' ),
	'description'    => __( 'Several settings pertaining my theme content area', 'billow' ),
) );

//-- LAYOUT
$wp_customize->add_section( 'billow_sidebar_layout' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Layout', 'billow'),
	'panel'          => 'billow_sidebar',
) );

//-- billow_posts_sidebar_position
$wp_customize->add_setting( 'billow_posts_sidebar_position', array(
	'default'           => 'sidebar-none',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Image_Radio_Button_Custom_Control( $wp_customize, 'billow_posts_sidebar_position', array(
	'label'   => __( 'Entries Layout', 'billow' ),
	'section' => 'billow_sidebar_layout',
	'choices' => array(
		'sidebar-none' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-none.png',
			'name'  => __( 'None', 'billow' )
		),
		'sidebar-left' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-left.png',
			'name'  => __( 'Left', 'billow' )
		),
		'sidebar-right' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-right.png',
			'name'  => __( 'Right', 'billow' )
		),
	) )
) );

//-- billow_post_sidebar_align
$wp_customize->add_setting( 'billow_post_sidebar_position', array(
	'default'           => 'sidebar-left',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Image_Radio_Button_Custom_Control( $wp_customize, 'billow_post_sidebar_position', array(
	'label'   => __( 'Single Post Layout', 'billow' ),
	'section' => 'billow_sidebar_layout',
	'choices' => array(
		'sidebar-none' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-none.png',
			'name'  => __( 'None', 'billow' )
		),
		'sidebar-left' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-left.png',
			'name'  => __( 'Left', 'billow' )
		),
		'sidebar-right' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-right.png',
			'name'  => __( 'Right', 'billow' )
		),
	) )
) );

//-- billow_shop_sidebar_position
$wp_customize->add_setting( 'billow_shop_sidebar_position', array(
	'default'           => 'sidebar-none',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Image_Radio_Button_Custom_Control( $wp_customize, 'billow_shop_sidebar_position', array(
	'label'   => __( 'Shop', 'billow' ),
	'section' => 'billow_sidebar_layout',
	'choices' => array(
		'sidebar-none' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-none.png',
			'name'  => __( 'None', 'billow' )
		),
		'sidebar-left' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-left.png',
			'name'  => __( 'Left', 'billow' )
		),
		'sidebar-right' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-right.png',
			'name'  => __( 'Right', 'billow' )
		),
	) )
) );

//-- billow_single_product_sidebar_position
$wp_customize->add_setting( 'billow_single_product_sidebar_position', array(
	'default'           => 'sidebar-none',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new Billow_Image_Radio_Button_Custom_Control( $wp_customize, 'billow_single_product_sidebar_position', array(
	'label'   => __( 'Single Product', 'billow' ),
	'section' => 'billow_sidebar_layout',
	'choices' => array(
		'sidebar-none' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-none.png',
			'name'  => __( 'None', 'billow' )
		),
		'sidebar-left' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-left.png',
			'name'  => __( 'Left', 'billow' )
		),
		'sidebar-right' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/custom-controls/images/sidebar-right.png',
			'name'  => __( 'Right', 'billow' )
		),
	) )
) );

//-- TYPOGRAPHY
$wp_customize->add_section( 'billow_sidebar_typography' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Typography', 'billow'),
	'panel'          => 'billow_sidebar',
) );

//-- billow_sidebar_font
billow_customizer_add_typography( $wp_customize, 'billow_sidebar_font', 'billow_sidebar_typography', array(
	'billow_sidebar_font' => __( 'Title Font Family', 'billow'),
) );

//-- COLORS
$wp_customize->add_section( 'billow_sidebar_color' , array(
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Colors', 'billow'),
	'panel'          => 'billow_sidebar',
) );

//-- billow_sidebar_title_color
$wp_customize->add_setting( 'billow_sidebar_title_color', array(
	'default' 			   => '#404040',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_sidebar_title_color', array(
	'label'   => __( 'Title Color', 'billow' ),
	'section' => 'billow_sidebar_color',
) ) );

//-- billow_sidebar_text_color
$wp_customize->add_setting( 'billow_sidebar_text_color', array(
	'default' 			   => '#404040',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_sidebar_text_color', array(
	'label'   => __( 'Text Color', 'billow' ),
	'section' => 'billow_sidebar_color',
) ) );

//-- billow_sidebar_link_color
$wp_customize->add_setting( 'billow_sidebar_link_color', array(
	'default' 			   => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_sidebar_link_color', array(
	'label'   => __( 'Link Color', 'billow' ),
	'section' => 'billow_sidebar_color',
) ) );

//-- billow_sidebar_hover_link_color
$wp_customize->add_setting( 'billow_sidebar_hover_link_color', array(
	'default' 			   => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_sidebar_hover_link_color', array(
	'label'   => __( 'Hover Link Color', 'billow' ),
	'section' => 'billow_sidebar_color',
) ) );

//-- billow_sidebar_bc_color
$wp_customize->add_setting( 'billow_sidebar_bc_color', array(
	'default' 			   => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_sidebar_bc_color', array(
	'label'   => __( 'Background Color', 'billow' ),
	'section' => 'billow_sidebar_color',
) ) );
