<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Billow
 */

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function billow_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'billow_pingback_header' );

function billow_get_theme_mod_hex_color( $name, $default ){
	$color = billow_get_theme_mod_no_empty( $name, $default );
	if( $color == 'inherit' || preg_match( '/rgb?a/', $color ) ) return $color;

	return substr( $color, 0, 1 ) == '#' ? $color : '#' . $color ;
}

function billow_get_theme_mod_no_empty( $name, $default ){
	global $billow_google_font_options;

	if ( $billow_google_font_options ) {
		if( in_array( $name, $billow_google_font_options ) ){
			$s = get_theme_mod( $name );
			if( !empty( $s ) ){
				$o = json_decode( $s );
				if( is_object( $o ) && !empty( $o->font ) ){
					return $o->font;
				}
			}

			return $default;
		}
	}

	$v = trim( get_theme_mod( $name ) );

	if( $name == 'header_image' && $v == 'random-uploaded-image' ){
		$v = get_random_header_image();
	}

	return empty( $v ) ? $default : $v ;
}
