<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Billow
 */

get_header();
?>

	<main id="primary" class="site-main container">
		<?php get_template_part( 'template-parts/header/header', 'overlay' ); ?>

		<div class="main-wrap <?php echo esc_html( get_theme_mod( 'billow_post_sidebar_position', 'sidebar-left' ) ); ?>">
			<div class="main-content">
				<?php
				while ( have_posts() ) :
					the_post();

					get_template_part( 'template-parts/content/content', get_post_type() );

					if( intval( get_theme_mod( 'billow_single_post_author_box_visibility', 1 ) ) ):
						?>
						<div class="author-box">
							<div class="image"><?php echo get_avatar( get_the_author_meta('user_email'), 82 ); ?></div>

							<div class="content">
								<span class="author">
									<span><?php esc_html_e('Author', 'billow'); ?></span>
									<?php the_author_posts_link(); ?>
								</span>

								<p class="text author-bio"><?php echo wp_kses_post( get_the_author_meta('description') ); // sanitized html only ?></p>

								<?php if( intval( get_theme_mod( 'billow_social_links_author_box_visibility', 1 ) ) ): ?>
								<ul class="social-networks <?php echo esc_html( get_theme_mod( 'billow_social_links_align', 'align-center' ) ); ?>">
									<?php get_template_part( 'template-parts/socials' ); ?>
								</ul>
								<?php endif ?>
							</div>

						</div>
						<?php
					endif;

					if( intval( get_theme_mod( 'billow_post_navigation_visibility', 1 ) ) ):
						the_post_navigation(
							array(
								'prev_text' => '<span class="nav-icon"><i class="fas fa-long-arrow-alt-left"></i></span> <span class="nav-title">%title</span>',
								'next_text' => '<span class="nav-title">%title</span> <span class="nav-icon"><i class="fas fa-long-arrow-alt-right"></i></span>',
							)
						);
					endif;

					if( intval( get_theme_mod( 'billow_single_post_comments_visibility', 1 ) ) ):
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					endif;

				endwhile; // End of the loop.
				?>
			</div>

			<?php get_sidebar(); ?>
		</div>


	</main><!-- #main -->

<?php
get_footer();
