<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Billow
 */

?>

<article id="post-<?php the_ID(); ?>"<?php post_class( 'blw-post' ); ?>>
	<?php if( intval( get_theme_mod( 'billow_post_image_visibility', 1 ) ) ): ?>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="entry-thumb">
			<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="0">
				<?php
				the_post_thumbnail( 'post-thumbnail', array(
					'alt' => the_title_attribute( array(
						'echo' => false,
					) ),
				) );
				?>
			</a>
		</div>
	<?php endif; ?>
	<?php endif; ?>

	<div class="entry-blog-content">
		<?php if( intval( get_theme_mod( 'billow_post_title_visibility', 1 ) ) ): ?>
		<div class="title-post">
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark" class="blog-title">', '</a></h2>' );
			endif; ?>
		</div>
		<?php endif; ?>

		<div class="meta-post">
			<?php if ( 'post' === get_post_type() ) : ?>
				<?php
					if( intval( get_theme_mod( 'billow_post_date_visibility', 1 ) ) ):
						billow_posted_on();
					endif;
					if( intval( get_theme_mod( 'billow_post_author_visibility', 1 ) ) ):
						billow_posted_by();
					endif;
					if( intval( get_theme_mod( 'billow_post_tags_visibility', 1 ) ) ):
						billow_post_tag_links();
					endif;
					if( intval( get_theme_mod( 'billow_post_category_visibility', 1 ) ) ):
						billow_post_category_links();
					endif;
				?>
			<?php endif; ?>
		</div>

		<div class="entry-post">
			<?php
			if ( get_option( 'rss_use_excerpt' ) ) {
				if( intval( get_theme_mod( 'billow_post_excerpt_visibility', 1 ) ) ):
				the_excerpt( sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'billow' ),
						array(
							'span' => array( 'class' => array(), ),
						)
					),
					get_the_title()
				) );

				endif;
			if( intval( get_theme_mod( 'billow_post_readmore_visibility', 1 ) ) ):
			?>
			<a class="read-more" href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php esc_html_e( 'Read More', 'billow' ); ?><span>&#8250;</span></a>
			<?php
			endif;
			} else {
				the_content();
			}

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'billow' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-post -->
	</div>

	<footer class="entry-footer">
		<?php billow_entry_footer(); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->
