<?php
/**
 * The template for displaying the footer in footer.php
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Billow
 */
?>

<?php if ( is_active_sidebar( 'billow-footer' ) ): ?>
<div class="footer-widget-area widget-area">
	<div class="container">
		<ul class="widget">
			<?php dynamic_sidebar( 'billow-footer' ); ?>
		</ul>
	</div>
</div>
<?php endif;?>

<div class="site-info">
	<div class="container <?php echo esc_html( get_theme_mod( 'billow_copyright_align', 'align-center' ) ); ?>">
		<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'billow' ) ); ?>">
			<?php
			/* translators: %s: CMS name, i.e. WordPress. */
			printf( esc_html__( 'Proudly powered by %s', 'billow' ), 'WordPress' );
			?>
		</a>
		<span class="sep"> | </span>
			<?php
			/* translators: 1: Theme name, 2: Theme author. */
			printf( esc_html__( 'Copyright © 2021 Billow Themes ®', 'billow' ), 'billow' );
			?>
	</div>

	<?php if( intval( get_theme_mod( 'billow_social_links_copyright_bar_visibility', 1 ) ) ): ?>
	<ul class="social-networks <?php echo esc_html( get_theme_mod( 'billow_social_links_align', 'align-center' ) ); ?>">
		<?php get_template_part( 'template-parts/socials' ); ?>
	</ul>
	<?php endif ?>
</div><!-- .site-info -->
